| Home | Libraries | People | FAQ | More

## Function template hex

boost::algorithm::hex — Converts a sequence of integral types into a hexadecimal sequence of characters.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    template<typename T, typename OutputIterator>
      boost::enable_if< boost::is_integral< T >, OutputIterator >::type
      hex(const T * ptr, OutputIterator out);

## Description

| Note
Based on the MySQL function of the same name

Parameters:

`out` | An output iterator to the results into
`ptr` | A pointer to a 0-terminated sequence of data.

Returns: | The updated output iterator